Bug 174808 - [maintainer update] net/Sockets 2.9.7
Summary: [maintainer update] net/Sockets 2.9.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-29 14:30 UTC by ml
Modified: 2012-12-30 13:30 UTC (History)
0 users

See Also:


Attachments
file.diff (5.31 KB, patch)
2012-12-29 14:30 UTC, ml
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ml 2012-12-29 14:30:00 UTC
Upgrade for Sockets to 2.9.7.

Notice Portscouts finds 2.9.8, but that's not officially released (yet).

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-29 14:30:29 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-12-30 13:21:16 UTC
Author: tota
Date: Sun Dec 30 13:21:06 2012
New Revision: 309667
URL: http://svnweb.freebsd.org/changeset/ports/309667

Log:
  - Update to 2.3.9.7
  - Trim Makefile header
  
  PR:		ports/174808 (based on)
  Submitted by:	Andrea Venturoli <ml@netfence.it> (maintainer)

Added:
  head/net/Sockets/files/patch-HttpRequest.cpp   (contents, props changed)
  head/net/Sockets/files/patch-Sockets-config.cpp   (contents, props changed)
Modified:
  head/net/Sockets/Makefile
  head/net/Sockets/distinfo
  head/net/Sockets/files/patch-Makefile
  head/net/Sockets/pkg-plist

Modified: head/net/Sockets/Makefile
==============================================================================
--- head/net/Sockets/Makefile	Sun Dec 30 12:56:39 2012	(r309666)
+++ head/net/Sockets/Makefile	Sun Dec 30 13:21:06 2012	(r309667)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:   C++ Sockets
-# Date created:                Sat Jan 15 16:17:20 UTC 2005
-# Whom:                 Mario Sergio Fujikawa Ferreira <lioux@FreeBSD.org>
-#
+# Created by: Mario Sergio Fujikawa Ferreira <lioux@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	Sockets
-PORTVERSION=	2.3.9.2
+PORTVERSION=	2.3.9.7
 CATEGORIES=	net
 MASTER_SITES=	http://www.alhem.net/Sockets/ \
 		http://www.netfence.it/Sockets/

Modified: head/net/Sockets/distinfo
==============================================================================
--- head/net/Sockets/distinfo	Sun Dec 30 12:56:39 2012	(r309666)
+++ head/net/Sockets/distinfo	Sun Dec 30 13:21:06 2012	(r309667)
@@ -1,2 +1,2 @@
-SHA256 (Sockets-2.3.9.2.tar.gz) = 810ab9b6a7316bfa7994c0d5e9bd8c556e9edcb8da35a1778ea11bd16471fba8
-SIZE (Sockets-2.3.9.2.tar.gz) = 191131
+SHA256 (Sockets-2.3.9.7.tar.gz) = dc6411eb53933c0aba639b3ace98b34b674a97aad6b8613f02e5e0aa2af92b24
+SIZE (Sockets-2.3.9.7.tar.gz) = 203023

Added: head/net/Sockets/files/patch-HttpRequest.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/Sockets/files/patch-HttpRequest.cpp	Sun Dec 30 13:21:06 2012	(r309667)
@@ -0,0 +1,11 @@
+--- HttpRequest.cpp.orig	2011-07-17 10:06:09.000000000 +0200
++++ HttpRequest.cpp	2012-12-29 14:17:14.000000000 +0100
+@@ -44,6 +44,8 @@
+ namespace SOCKETS_NAMESPACE {
+ #endif
+ 
++extern char**environ;
++
+ #ifdef _DEBUG
+ #define DEB(x) x; fflush(stderr);
+ #else

Modified: head/net/Sockets/files/patch-Makefile
==============================================================================
--- head/net/Sockets/files/patch-Makefile	Sun Dec 30 12:56:39 2012	(r309666)
+++ head/net/Sockets/files/patch-Makefile	Sun Dec 30 13:21:06 2012	(r309667)
@@ -21,8 +21,8 @@
  
  install_shared:	install shared
  		@mkdir -p $(DESTDIR)/$(PREFIX)/lib/pkgconfig
--		cp $(SHAREDLIBNAME) $(DESTDIR)/$(PREFIX)/lib
--		cp -a pkgconfig/*pc $(DESTDIR)/$(PREFIX)/lib/pkgconfig
+-		install -m 0644 $(SHAREDLIBNAME) $(DESTDIR)/$(PREFIX)/lib
+-		install -m 0644  pkgconfig/*pc $(DESTDIR)/$(PREFIX)/lib/pkgconfig
 +		@${BSD_INSTALL_DATA} $(SHAREDLIBNAME) $(DESTDIR)/$(PREFIX)/lib
 +		@${BSD_INSTALL_DATA} pkgconfig/*pc $(DESTDIR)/$(PREFIX)/libdata/pkgconfig
  		rm -f $(DESTDIR)/$(PREFIX)/lib/lib$(NAME).so

Added: head/net/Sockets/files/patch-Sockets-config.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/Sockets/files/patch-Sockets-config.cpp	Sun Dec 30 13:21:06 2012	(r309667)
@@ -0,0 +1,58 @@
+--- Sockets-config.cpp.orig	2012-12-29 14:24:51.000000000 +0100
++++ Sockets-config.cpp	2012-12-29 14:25:16.000000000 +0100
+@@ -29,7 +29,7 @@
+ 
+ // ------------------------------------------------------------------
+ static	bool any_set = false;
+-static	std::map<std::string, std::string> mmap;
++static	std::map<std::string, std::string> sockets_mmap;
+ 
+ // ------------------------------------------------------------------
+ void show_info()
+@@ -110,24 +110,24 @@
+ */
+ void setup_configuration()
+ {
+-	mmap["openssl"] =     "HAVE_OPENSSL";
+-	mmap["ipv6"] =        "ENABLE_IPV6";
+-	mmap["sctp"] =        "USE_SCTP";
+-	mmap["no_addrinfo"] = "NO_GETADDRINFO";
+-	mmap["pool"] =        "ENABLE_POOL";
+-	mmap["socks4"] =      "ENABLE_SOCKS4";
+-	mmap["resolver"] =    "ENABLE_RESOLVER";
+-	mmap["reconnect"] =   "ENABLE_RECONNECT";
+-	mmap["detach"] =      "ENABLE_DETACH";
+-	mmap["exceptions"] =  "ENABLE_EXCEPTIONS";
+-	mmap["xml2"] =        "ENABLE_XML";
++	sockets_mmap["openssl"] =     "HAVE_OPENSSL";
++	sockets_mmap["ipv6"] =        "ENABLE_IPV6";
++	sockets_mmap["sctp"] =        "USE_SCTP";
++	sockets_mmap["no_addrinfo"] = "NO_GETADDRINFO";
++	sockets_mmap["pool"] =        "ENABLE_POOL";
++	sockets_mmap["socks4"] =      "ENABLE_SOCKS4";
++	sockets_mmap["resolver"] =    "ENABLE_RESOLVER";
++	sockets_mmap["reconnect"] =   "ENABLE_RECONNECT";
++	sockets_mmap["detach"] =      "ENABLE_DETACH";
++	sockets_mmap["exceptions"] =  "ENABLE_EXCEPTIONS";
++	sockets_mmap["xml2"] =        "ENABLE_XML";
+ }
+ 
+ // ------------------------------------------------------------------
+ void set(const char *param, bool enable)
+ {
+-	std::map<std::string, std::string>::iterator it = mmap.find(param);
+-	if (it == mmap.end())
++	std::map<std::string, std::string>::iterator it = sockets_mmap.find(param);
++	if (it == sockets_mmap.end())
+ 	{
+ 		fprintf(stderr, "Option '%s' not found, aborting\n", param);
+ 		exit(-1);
+@@ -195,7 +195,7 @@
+ 		{
+ 			int i = (*slask == '#') ? 8 : 10;
+ 			std::string def(&slask[i]);
+-			for (std::map<std::string, std::string>::iterator it = mmap.begin(); it != mmap.end(); it++)
++			for (std::map<std::string, std::string>::iterator it = sockets_mmap.begin(); it != sockets_mmap.end(); it++)
+ 			{
+ 				if (def == it -> second)
+ 				{

Modified: head/net/Sockets/pkg-plist
==============================================================================
--- head/net/Sockets/pkg-plist	Sun Dec 30 12:56:39 2012	(r309666)
+++ head/net/Sockets/pkg-plist	Sun Dec 30 13:21:06 2012	(r309667)
@@ -28,11 +28,13 @@ include/Sockets/IEventOwner.h
 include/Sockets/IFile.h
 include/Sockets/IFileUpload.h
 include/Sockets/IHttpServer.h
+include/Sockets/IModel.h
 include/Sockets/IMutex.h
 include/Sockets/ISocketHandler.h
 include/Sockets/IStream.h
 include/Sockets/Ipv4Address.h
 include/Sockets/Ipv6Address.h
+include/Sockets/Json.h
 include/Sockets/ListenSocket.h
 include/Sockets/Lock.h
 include/Sockets/MemFile.h
@@ -48,6 +50,7 @@ include/Sockets/Socket.h
 include/Sockets/SocketAddress.h
 include/Sockets/SocketHandler.h
 include/Sockets/SocketHandlerEp.h
+include/Sockets/SocketHandlerThread.h
 include/Sockets/SocketStream.h
 include/Sockets/StdLog.h
 include/Sockets/StdoutLog.h
@@ -68,6 +71,6 @@ libdata/pkgconfig/libsockets2.pc
 lib/libSockets.a
 lib/libSockets.so
 lib/libSockets.so.2
-lib/libSockets.so.2.3.9.2
+lib/libSockets.so.2.3.9.7
 @dirrm include/Sockets
 @dirrmtry lib/pkgconfig
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 TAKATSU Tomonari freebsd_committer 2012-12-30 13:22:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!